name='libopenrazer'
version='0.4.0'
release='2'
desc='Qt wrapper around the D-Bus API from OpenRazer.'
desc_ru='Qt-обертка для D-Bus API от OpenRazer.'
homepage='https://github.com/z3ntu/libopenrazer'
maintainer='Evgeniy Khramov <xpamych@yandex.ru>'
maintainer_ru='Евгений Храмов <xpamych@yandex.ru>'
architectures=('amd64')
license=('GPL-3.0-or-later')

conflicts=('libopenrazer')

deps=("qt6-qtbase")
deps_arch=("qt6-base")

build_deps=('meson' 'qt6-qttools')
build_deps_arch=('meson' 'qt6-tools')


sources=("https://github.com/z3ntu/libopenrazer/releases/download/v$version/libopenrazer-$version.tar.xz")
checksums=('SKIP')

build() {
  cd $srcdir/$name-$version
  mkdir -p build
  meson setup build . --prefix /usr
  meson compile -C build -j$(($(nproc) - 1))
}

package() {
  cd $srcdir/$name-$version
  meson install -C build --destdir "$pkgdir"
}

files() {
  printf '"%s" ' ./usr/include/**/*
  printf '"%s" ' ./usr/lib64/**/*
  printf '"%s" ' ./usr/share/libopenrazer/translations/*
}